<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Phonon.Experimental</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Phonon.Experimental Namespace Reference</h1>
<code>from PyKDE4.phonon.Phonon.Experimental import *</code>
<p>
<h2>Detailed Description</h2>

<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_A">&nbsp;&nbsp;A&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.Experimental.AvCapture.html">AvCapture</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.VideoDataOutputInterface.html">VideoDataOutputInterface</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AbstractAudioDataOutput.html">AbstractAudioDataOutput</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.Experimental.VideoFrame.html">VideoFrame</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AbstractVideoDataOutput.html">AbstractVideoDataOutput</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.SnapshotInterface.html">SnapshotInterface</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.VideoFrame2.html">VideoFrame2</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AudioDataOutput.html">AudioDataOutput</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_V">&nbsp;&nbsp;V&nbsp;&nbsp;</a></td><td><a class="el" href="Phonon.Experimental.Visualization.html">Visualization</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AudioDataOutputInterface.html">AudioDataOutputInterface</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.VideoDataOutput.html">VideoDataOutput</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
<tr><td><a class="el" href="Phonon.Experimental.AudioFormat.html">AudioFormat</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Phonon.Experimental.VideoDataOutput2.html">VideoDataOutput2</a>&nbsp;(<a class="el" href="Phonon.Experimental.html">Phonon.Experimental</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj192747372">anonymous</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;VisualizationType&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181582604">qHash</a> (Phonon.Experimental.AudioFormat p)</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj192747372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">anonymous</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>VisualizationType</em>&nbsp;=&nbsp;0xfffffffe</td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj181582604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long qHash</td>
<td>(</td>
<td class="paramtype">Phonon.Experimental.AudioFormat&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
